<html lang="en">
<head>
<title>Managing the DTD - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="SGML-declaration.html#SGML-declaration" title="SGML declaration">
<link rel="next" href="Edit.html#Edit" title="Edit">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Managing-the-DTD"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Edit.html#Edit">Edit</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="SGML-declaration.html#SGML-declaration">SGML declaration</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">7 Document Type Declaration</h2>

<p><a name="index-DOCTYPE-33"></a><a name="index-DTD-34"></a>
<a name="index-sgml_002ddefault_002ddoctype_002dname-35"></a>PSGML needs to know about the DTD you are using for many of its commands. 
If you do not have a `<samp><span class="samp">DOCTYPE</span></samp>' declaration in your file,
PSGML will try assume that there is one of the form

<pre class="example">     &lt;!DOCTYPE <var>name</var> SYSTEM&gt;
</pre>
   <p>where <var>name</var> is the value of <code>sgml-default-doctype-name</code>, if
the value is non-<code>nil</code>, else the GI of the first tag will be used.

   <p><a name="index-sgml_002dparse_002dprolog-36"></a><a name="index-sgml_002dauto_002dactivate_002ddtd-37"></a>PSGML will try to parse the document type declaration the first time
you do something that needs to parse the document or immediately if the
variable <code>sgml-auto-activate-dtd</code> is <code>t</code>.  You can also
initiate the parsing of the document type declaration with the command
<code>sgml-parse-prolog</code>.  Big DTDs take some time to parse.

   <p>When the DTD has been parsed or loaded the name of the document element
will be displayed in the mode line inside brackets.  If there was an
error parsing the DTD or there is no DTD, the mode line will display
`<samp><span class="samp">[ANY]</span></samp>' (*** this is not really correct! a DTD will be established
even if there are missing entities, it may even be empty).

<ul class="menu">
<li><a accesskey="1" href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">Precompiled DTD Subsets</a>
<li><a accesskey="2" href="Using-a-Split-Document.html#Using-a-Split-Document">Using a Split Document</a>
<li><a accesskey="3" href="Inserting-a-DOCTYPE.html#Inserting-a-DOCTYPE">Inserting a DOCTYPE</a>
<li><a accesskey="4" href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a>
</ul>

<!--  -->
</body></html>

